CREATE TABLE iby_pay_instructions_all (
    PAYMENT_INSTRUCTION_ID            NUMBER(18, 0) ,
    PAYMENT_PROFILE_ID                NUMBER(18, 0)     NOT NULL,
    PROCESS_TYPE                      VARCHAR2(120)     NOT NULL,
    PAYMENT_INSTRUCTION_STATUS        VARCHAR2(120)     NOT NULL,
    PAYMENTS_COMPLETE_CODE            VARCHAR2(120)     NOT NULL,
    GENERATE_SEP_REMIT_ADVICE_FLAG    VARCHAR2(4)       NOT NULL,
    REMITTANCE_ADVICE_CREATED_FLAG    VARCHAR2(4)       NOT NULL,
    REGULATORY_REPORT_CREATED_FLAG    VARCHAR2(4)       NOT NULL,
    BILL_PAYABLE_FLAG                 VARCHAR2(4)       NOT NULL,
    LEGAL_ENTITY_ID                   NUMBER(18, 0) ,
    PAYMENT_COUNT                     NUMBER(18, 0)     NOT NULL,
    POSITIVE_PAY_FILE_CREATED_FLAG    VARCHAR2(4)       NOT NULL,
    PRINT_INSTRUCTION_IMMED_FLAG      VARCHAR2(4)       NOT NULL,
    TRANSMIT_INSTR_IMMED_FLAG         VARCHAR2(4)       NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    INTERNAL_BANK_ACCOUNT_ID          NUMBER(18, 0) ,
    PAY_ADMIN_ASSIGNED_REF_CODE       VARCHAR2(400) ,
    TRANSMISSION_DATE                 DATE          ,
    ACKNOWLEDGEMENT_DATE              DATE          ,
    COMMENTS                          VARCHAR2(960) ,
    BANK_ASSIGNED_REF_CODE            VARCHAR2(120) ,
    ORG_ID                            NUMBER(18, 0) ,
    ORG_TYPE                          VARCHAR2(120) ,
    PAYMENT_DATE                      DATE          ,
    PAYMENT_CURRENCY_CODE             VARCHAR2(40)  ,
    PAYMENT_SERVICE_REQUEST_ID        NUMBER(18, 0) ,
    PAYMENT_FUNCTION                  VARCHAR2(120) ,
    PAYMENT_REASON_CODE               VARCHAR2(120) ,
    RFC_IDENTIFIER                    VARCHAR2(120) ,
    PAYMENT_REASON_COMMENTS           VARCHAR2(960) ,
    PAYMENT_DOCUMENT_ID               NUMBER(18, 0) ,
    PRINTER_NAME                      VARCHAR2(1020),
    ATTRIBUTE_CATEGORY                VARCHAR2(600) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    REFERENCE_FORMAT_CODE             VARCHAR2(120) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    BATCH_BOOKING_FLAG                VARCHAR2(4)   ,
    CARD_ISSUER_FILE_SEQ_NO           NUMBER(15, 0) ,
    NOTIFICATION_MESSAGE_ID           NUMBER(18, 0) ,
    INBOUND_FILE_ID                   NUMBER(18, 0) ,
    BEP_STATUS                        VARCHAR2(120) ,
    BEP_ERROR_CODE                    VARCHAR2(120) ,
    BEP_ERROR_MESSAGE_TEXT            VARCHAR2(1020),
    ACKNOWLEDGEMENT_FORMAT_CODE       VARCHAR2(120) ,
    CES_TRANSMISSION_FLAG             VARCHAR2(4)   ,
    SENT_FILE_NAME                    VARCHAR2(1440),
    PAYMENT_MODE_CODE                 VARCHAR2(120) ,
    PAYMENT_INSTRUMENT_ID             NUMBER(18, 0) ,
    PAYMENT_INSTRUCTION_ID            NUMBER(18, 0) ,
    PAYMENT_PROFILE_ID                NUMBER(18, 0)     NOT NULL,
    PROCESS_TYPE                      VARCHAR2(120)     NOT NULL,
    PAYMENT_INSTRUCTION_STATUS        VARCHAR2(120)     NOT NULL,
    PAYMENTS_COMPLETE_CODE            VARCHAR2(120)     NOT NULL,
    GENERATE_SEP_REMIT_ADVICE_FLAG    VARCHAR2(4)       NOT NULL,
    REMITTANCE_ADVICE_CREATED_FLAG    VARCHAR2(4)       NOT NULL,
    REGULATORY_REPORT_CREATED_FLAG    VARCHAR2(4)       NOT NULL,
    BILL_PAYABLE_FLAG                 VARCHAR2(4)       NOT NULL,
    LEGAL_ENTITY_ID                   NUMBER(18, 0) ,
    PAYMENT_COUNT                     NUMBER(18, 0)     NOT NULL,
    POSITIVE_PAY_FILE_CREATED_FLAG    VARCHAR2(4)       NOT NULL,
    PRINT_INSTRUCTION_IMMED_FLAG      VARCHAR2(4)       NOT NULL,
    TRANSMIT_INSTR_IMMED_FLAG         VARCHAR2(4)       NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    INTERNAL_BANK_ACCOUNT_ID          NUMBER(18, 0) ,
    PAY_ADMIN_ASSIGNED_REF_CODE       VARCHAR2(400) ,
    TRANSMISSION_DATE                 DATE          ,
    ACKNOWLEDGEMENT_DATE              DATE          ,
    COMMENTS                          VARCHAR2(960) ,
    BANK_ASSIGNED_REF_CODE            VARCHAR2(120) ,
    ORG_ID                            NUMBER(18, 0) ,
    ORG_TYPE                          VARCHAR2(120) ,
    PAYMENT_DATE                      DATE          ,
    PAYMENT_CURRENCY_CODE             VARCHAR2(40)  ,
    PAYMENT_SERVICE_REQUEST_ID        NUMBER(18, 0) ,
    PAYMENT_FUNCTION                  VARCHAR2(120) ,
    PAYMENT_REASON_CODE               VARCHAR2(120) ,
    RFC_IDENTIFIER                    VARCHAR2(120) ,
    PAYMENT_REASON_COMMENTS           VARCHAR2(960) ,
    PAYMENT_DOCUMENT_ID               NUMBER(18, 0) ,
    PRINTER_NAME                      VARCHAR2(1020),
    ATTRIBUTE_CATEGORY                VARCHAR2(600) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    REFERENCE_FORMAT_CODE             VARCHAR2(120) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    CARD_ISSUER_FILE_SEQ_NO           NUMBER(15, 0) ,
    BATCH_BOOKING_FLAG                VARCHAR2(4)   ,
    NOTIFICATION_MESSAGE_ID           NUMBER(18, 0) ,
    INBOUND_FILE_ID                   NUMBER(18, 0) ,
    BEP_STATUS                        VARCHAR2(120) ,
    BEP_ERROR_CODE                    VARCHAR2(120) ,
    BEP_ERROR_MESSAGE_TEXT            VARCHAR2(1020),
    ACKNOWLEDGEMENT_FORMAT_CODE       VARCHAR2(120) ,
    CES_TRANSMISSION_FLAG             VARCHAR2(4)   ,
    SENT_FILE_NAME                    VARCHAR2(1440),
    PAYMENT_MODE_CODE                 VARCHAR2(120) ,
    PAYMENT_INSTRUMENT_ID             NUMBER(18, 0) ,
    CONSTRAINT pk_iby_pay_instructions_all PRIMARY KEY (PAYMENT_INSTRUCTION_ID, PAYMENT_INSTRUCTION_ID)
);
